import { jsx } from "react/jsx-runtime";
import { ForkKnifeIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const ForkKnife = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "ForkKnife", ...props, children: /* @__PURE__ */ jsx(ForkKnifeIcon, { weight: variant }) });
  }
);
ForkKnife.displayName = "ForkKnife";
Object.assign(ForkKnife, { isGdsIcon: true });
export {
  ForkKnife
};
